randtest.amova {ade4} | R Documentation

## Permutation tests on an analysis of molecular variance (in C).

### Description

Tests the components of covariance with permutation processes described by Excoffier et al. (1992).

### Usage

    ## S3 method for class 'amova'
    randtest(xtest, nrepet = 99, ...)

### Arguments

`xtest` | an object of class `amova`
`nrepet` | the number of permutations
`...` | further arguments passed to or from other methods

### Value

returns an object of class `krandtest` or `randtest`

### Author(s)

Sandrine Pavoine pavoine@mnhn.fr

### References

Excoffier, L., Smouse, P.E. and Quattro, J.M. (1992) Analysis of molecular variance inferred from metric distances among DNA haplotypes: application to human mitochondrial DNA restriction data. Genetics, 131, 479–491.

### Examples

    data(humDNAm)
    amovahum <- amova(humDNAm$samples, sqrt(humDNAm$distances), humDNAm$structures)
    amovahum
    randtesthum <- randtest(amovahum, 49)
    plot(randtesthum)

[Package ade4 version 1.7-13 Index]